""" Jobs manager of CloudControl.

The jobs manager is a component running on both server and nodes. It is in
charge of reporting of jobs status.
"""


from cloudcontrol.common.jobs.interface import JobsManagerInterface
from cloudcontrol.common.jobs.store import JobsStore
from cloudcontrol.common.jobs.job import Job, JobCancelError
from cloudcontrol.common.jobs.manager import JobsManager


__all__ = ['JobsManager', 'JobsManagerInterface', 'Job', 'JobsStore', 'JobCancelError']
